package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class AtmosphereGasification {
    private Long id;

    private Long regionId;

    private Integer dataYear;

    private BigDecimal actualGrowth;

    private BigDecimal forecastGrowth;

    private BigDecimal actualQuality;

    private BigDecimal forecastQuality;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public Integer getDataYear() {
        return dataYear;
    }

    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }

    public BigDecimal getActualGrowth() {
        return actualGrowth;
    }

    public void setActualGrowth(BigDecimal actualGrowth) {
        this.actualGrowth = actualGrowth;
    }

    public BigDecimal getForecastGrowth() {
        return forecastGrowth;
    }

    public void setForecastGrowth(BigDecimal forecastGrowth) {
        this.forecastGrowth = forecastGrowth;
    }

    public BigDecimal getActualQuality() {
        return actualQuality;
    }

    public void setActualQuality(BigDecimal actualQuality) {
        this.actualQuality = actualQuality;
    }

    public BigDecimal getForecastQuality() {
        return forecastQuality;
    }

    public void setForecastQuality(BigDecimal forecastQuality) {
        this.forecastQuality = forecastQuality;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}